PDA

View Full Version : Samba 3.6.3 on SLES 11 SP1 on IBM Power



harrisonheck
07-Feb-2012, 19:22
I'm trying to build samba 3.6.3 on our Suse 11 SP1 on IBM Power setup. Unfortunately Novell doesn't seem to care much about providing packages from this century, nor prebuilt packages for IBM Power systems on their repositories (download.opensuse.org). The only version they provide is 3.4.3 from October 29, 2009.

The error message that I am receiving while compiling this (and almost any 3.6.X version) is


make: Leaving directory `/usr/src/packages/BUILD/samba-3.6.3/lib/talloc'
+ rm -r /var/tmp/samba-3.6.3-build//usr/lib64/python2.6/site-packages /var/tmp/samba-3.6.3-build//usr/lib64/ldb/libtalloc.so.2 /var/tmp/samba-3.6.3-build//usr/lib64/ldb/libtalloc.so.2.0.5 /var/tmp/samba-3.6.3-build//usr/lib64/ldb/libtdb.so.1 /var/tmp/samba-3.6.3-build//usr/lib64/ldb/libtdb.so.1.2.9 '/var/tmp/samba-3.6.3-build//usr/lib64/ldb/libp*' /var/tmp/samba-3.6.3-build//usr/lib64/tevent
rm: cannot remove `/var/tmp/samba-3.6.3-build//usr/lib64/ldb/libp*': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.53944 (%install)

I need to give samba 3.6 a shot because we are having some painfully slow transfers at times from a few Macs, and was hoping SMB2 might fix things.

Somewhat related: Does Novell plan to upgrade their packages to more recent versions of software at any point in the near future, such as with SP2?

malcolmlewis
07-Feb-2012, 20:29
I'm trying to build samba 3.6.3 on our Suse 11 SP1 on IBM Power setup.
Unfortunately Novell doesn't seem to care much about providing packages
from this century, nor prebuilt packages for IBM Power systems on their
repositories (download.opensuse.org). The only version they provide is
3.4.3 from October 29, 2009.

The error message that I am receiving while compiling this (and almost
any 3.6.X version) is


Code:
--------------------
make: Leaving directory
`/usr/src/packages/BUILD/samba-3.6.3/lib/talloc'
+ rm
-r /var/tmp/samba-3.6.3-build//usr/lib64/python2.6/site-packages /var/tmp/samba-3.6.3-build//usr/lib64/ldb/libtalloc.so.2 /var/tmp/samba-3.6.3-build//usr/lib64/ldb/libtalloc.so.2.0.5 /var/tmp/samba-3.6.3-build//usr/lib64/ldb/libtdb.so.1 /var/tmp/samba-3.6.3-build//usr/lib64/ldb/libtdb.so.1.2.9
'/var/tmp/samba-3.6.3-build//usr/lib64/ldb/libp*' /var/tmp/samba-3.6.3-build//usr/lib64/tevent
rm: cannot remove `/var/tmp/samba-3.6.3-build//usr/lib64/ldb/libp*': No
such file or directory error: Bad exit status
from /var/tmp/rpm-tmp.53944 (%install) --------------------


I need to give samba 3.6 a shot because we are having some painfully
slow transfers at times from a few Macs, and was hoping SMB2 might fix
things.

Somewhat related: Does Novell plan to upgrade their packages to more
recent versions of software at any point in the near future, such as
with SP2?



Hi
You could always ask the Open Build Service Maintainers to add your
arch type?
https://build.opensuse.org/project/users?project=network%3Asamba%3ASTABLE

Else you can create an account and build your own, just setup the
repository to be the same as the above...

There should be updated packages in SP2.....


--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.1 (x86_64) Kernel 3.1.9-1.4-desktop
up 5:45, 5 users, load average: 0.02, 0.04, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

harrisonheck
07-Feb-2012, 20:46
The issue is that my arch type is ppc64 (That's what IBM Power is), which I do not believe is supported under anything OpenSuse. I'll ask though. Unfortunately, I need to get either this (hoping the speed is improved) or netatalk 2.2.2 working, and neither is going well.

malcolmlewis
07-Feb-2012, 23:14
The issue is that my arch type is ppc64 (That's what IBM Power is),
which I do not believe is supported under anything OpenSuse. I'll ask
though. Unfortunately, I need to get either this (hoping the speed is
improved) or netatalk 2.2.2 working, and neither is going well.



Hi
They can build that, just ask them to see what can be done, else wait
fro SP2...and I have no idea when that will be ready.

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 12.1 (x86_64) Kernel 3.1.9-1.4-desktop
up 8:30, 4 users, load average: 0.03, 0.04, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

lmuelle
25-Jul-2012, 18:48
Hi Malcolm,

have you tried the 3.6.3 based Samba builds as provided with SUSE Linux Enterprise (SLE) Server 11 SP 2?

If the last version we provided doesn't work for you as expected please consider to test the version available from
http://download.openSUSE.org/repositories/network:/samba:/MAINTAINED:/SLE_11/SLE_11/

As SLE customer you're also entitled to direct your question to the support department.

Thanks,

Lars
--
Lars Mller [ˈlaː(r)z ˈmʏlɐ]
Samba Team + SUSE Labs
SUSE Linux, Maxfeldstrae 5, 90409 Nrnberg, Germany